GlassFish 3.1 supported platforms

Starting with version 3.0.1 the Oracle GlassFish Server product now has a list of supported platforms just like any other Oracle product and that in fact, has increased the reach of the product compared to the Sun days. As always, the compatibility matrix is linked off of the "Hardware and Software Requirements" section of the Release Notes volume of the GlassFish Documentation.

Matrix library

For Oracle GlassFish Server 3.1 the compatibility matrix is here. The list is long with a wide variety of 32-bit and 64-bit OS and JVM combinations, with systems ranging from Oracle Linux or Red Hat EL 4 & 5, SLES 10, several incarnations of Windows (2008 R2, 7, etc..), Solaris 10 Update 7+, with XP, Mac OS and Ubuntu listed as developer platforms.

JVM-wise, GlassFish has now been requiring Java 6 for a while and the minimum HotSpot version is 1.6.0_22. On the Web Server front, Apache 2.2, Oracle HTTP Server 11.1.1.4 and iPlanet Web Server 7.0u9 but also Microsoft IIS 7.5 are all supported. Note also that the Supported Virtualization and Partitioning Technologies for Oracle Fusion Middleware applies to Oracle GlassFish Server.

Finally note that we've been IPv6-ready for a little while, that we don't officially support IE6 and that Itanium support has never been on the list of supported platforms.

Comments:

What, so I need Microsoft Excel to open the file?

Epic fail.

Posted by Dave on March 28, 2011 at 09:44 AM PDT #

Err... you can use OpenOffice Calc v3.3 ...

Posted by Tan Chin Leong on March 28, 2011 at 10:43 AM PDT #

Err... so why not offer it in that format to begin with?

Talk about Oracle not eating their own dog food.

Posted by Dave on March 28, 2011 at 11:56 AM PDT #

Ha - it all makes sense now as of a couple of days ago. Thanks for all the fish Oracle!

Posted by Dave on April 17, 2011 at 09:23 PM PDT #

Post a Comment:
Comments are closed for this entry.